VPN agent works incorrectly with DVR on multinode setup

Bug #1481329 reported by Sergey Kolekonov on 2015-08-04
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
neutron
Undecided
Unassigned

Bug Description

VPN agent works incorrectly with DVR on multi-node setup. It looks like VPN agents on network nodes try to find snat namespace which in fact presents only on one of the nodes, it leads to errors on nodes without this namespace when IPSec connection is created.

The following errors are observed:
2015-08-04 11:41:36.354 12343 ERROR oslo_messaging.rpc.dispatcher [req-bed314eb-329d-47de-ab7a-e63d893949e6 ] Exception during message handling: 'NoneType' object has no attribute 'name
-----------
2015-08-04 11:41:36.354 12343 TRACE oslo_messaging.rpc.dispatcher File "/usr/lib/python2.7/dist-packages/neutron_vpnaas/services/vpn/device_drivers/ipsec.py", line 561, in get_namespace
2015-08-04 11:41:36.354 12343 TRACE oslo_messaging.rpc.dispatcher return router.snat_namespace.name
2015-08-04 11:41:36.354 12343 TRACE oslo_messaging.rpc.dispatcher AttributeError: 'NoneType' object has no attribute 'name'

tags: added: vpnaas
Elena Ezhova (eezhova) on 2015-08-17
Changed in neutron:
assignee: nobody → Elena Ezhova (eezhova)
Elena Ezhova (eezhova) on 2015-12-21
Changed in neutron:
assignee: Elena Ezhova (eezhova) → nobody
Al Miller (al-miller) wrote :

I have run into this issue and am working on a patch. I will post it shortly.

Changed in neutron:
assignee: nobody → Al Miller (al-miller)
status: New → Confirmed

Fix proposed to branch: master
Review: https://review.openstack.org/310316

Changed in neutron:
status: Confirmed → In Progress

Change abandoned by Armando Migliaccio (<email address hidden>) on branch: master
Review: https://review.openstack.org/310316
Reason: This review is > 4 weeks without comment, and failed Jenkins the last time it was checked. We are abandoning this for now. Feel free to reactivate the review by pressing the restore button and leaving a 'recheck' comment to get fresh test results.

Needs a new owner?

Changed in neutron:
status: In Progress → Incomplete
assignee: Al Miller (al-miller) → nobody
tags: added: l3-dvr-backlog
Launchpad Janitor (janitor) wrote :

[Expired for neutron because there has been no activity for 60 days.]

Changed in neutron:
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers